質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.48%

  • PHP

    20817questions

    PHPは、Webサイト構築に特化して開発されたプログラミング言語です。大きな特徴のひとつは、HTMLに直接プログラムを埋め込むことができるという点です。PHPを用いることで、HTMLを動的コンテンツとして出力できます。HTMLがそのままブラウザに表示されるのに対し、PHPプログラムはサーバ側で実行された結果がブラウザに表示されるため、PHPスクリプトは「サーバサイドスクリプト」と呼ばれています。

  • MySQL

    6008questions

    MySQL(マイエスキューエル)は、TCX DataKonsultAB社などが開発するRDBMS(リレーショナルデータベースの管理システム)です。世界で最も人気の高いシステムで、オープンソースで開発されています。MySQLデータベースサーバは、高速性と信頼性があり、Linux、UNIX、Windowsなどの複数のプラットフォームで動作することができます。

  • FuelPHP

    524questions

    FuelPHPは、軽量高速で開発が可能なPHPのWebアプリケーションフレームワークです。

  • PDO

    338questions

    PDO(PHP Data Objects)はPHPのデータベース抽象化レイヤーです。

FuelPHPで「Class 'PDO' not found」

受付中

回答 2

投稿

  • 評価
  • クリップ 0
  • VIEW 3,419

kazumae

score 1

ローカルにlamp環境を構築し、fuelphpをインストールしたのですが、ブラウザ上に Class 'PDO' not found となってしまい動きません。(PHPやmysqlは正常にインストールできているようです)

調べた所 php-pdo がインストールされていないということのようだったのですが、

yum install -y php-pdo

を実行してみたところ、下記のようなメッセージが出力され、正常に完了しません。

読み込んだプラグイン:fastestmirror
インストール処理の設定をしています
Loading mirror speeds from cached hostfile
 * base: ftp.jaist.ac.jp
 * epel: ftp.kddilabs.jp
 * extras: ftp.jaist.ac.jp
 * updates: ftp.jaist.ac.jp
依存性の解決をしています
--> トランザクションの確認を実行しています。
---> Package php-pdo.x86_64 0:5.3.3-40.el6_6 will be インストール
--> 依存性の処理をしています: php-common(x86-64) = 5.3.3-40.el6_6 のパッケージ: php-pdo-5.3.3-40.el6_6.x86_64
--> 依存性解決を終了しました。
エラー: パッケージ: php-pdo-5.3.3-40.el6_6.x86_64 (updates)
             要求: php-common(x86-64) = 5.3.3-40.el6_6
            インストール: php-common-5.5.24-1.el6.remi.x86_64 (@remi-php55)
                php-common(x86-64) = 5.5.24-1.el6.remi
            利用可能: php-common-5.3.3-38.el6.x86_64 (base)
                php-common(x86-64) = 5.3.3-38.el6
            利用可能: php-common-5.3.3-40.el6_6.x86_64 (updates)
                php-common(x86-64) = 5.3.3-40.el6_6
 問題を回避するために --skip-broken を用いることができません
 これらを試行できます: rpm -Va --nofiles --nodigest

また、php.ini に下記記述を行い、再起動を行ったのですが、こちらもエラーが消えることはありませんでした。

extension=pdo.so
extension=pdo_mysql.so

完全に手詰まりとなってしまい、困っております。どうぞよろしくお願いします。

==以下バージョン情報
centos 6.6
php 5.5.24
Apache 2.2.15
mysql 5.6.24
  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 2

0

---> Package php-pdo.x86_64 0:5.3.3-40.el6_6 will be インストール

とのことで、PHP5.3のphp-pdoをインストールしようとしているようですね。

yum install -y php55-pdo

はどうでしょうか?

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2015/04/22 04:25

    回答ありがとうございます。
    こちらについては既に実行してみたのですが、No package php55-pdo available となり、エラーになって終了してしまいます。

    キャンセル

0

remi-php55のphp-commonがインストール済みになってますよね?
これってremiのリポジトリをインストール済みだから入っているはずなので、自分でremiのリポジトリの設定を行ったはずですよね

なので

/etc/yum.repos.d/remi.repo


のenabledが0の場合は

yum install --enablerepo=remi,remi-php55 php-pdo 


というふうにremiを対象にして5.5のものをインストールするようにしないと入らないと思いますよ

いれるまえにこんな風にして

yum list --enablerepo=remi --enablerepo=remi-php55 | grep php


何があるか確認できますよ

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.48%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る

  • PHP

    20817questions

    PHPは、Webサイト構築に特化して開発されたプログラミング言語です。大きな特徴のひとつは、HTMLに直接プログラムを埋め込むことができるという点です。PHPを用いることで、HTMLを動的コンテンツとして出力できます。HTMLがそのままブラウザに表示されるのに対し、PHPプログラムはサーバ側で実行された結果がブラウザに表示されるため、PHPスクリプトは「サーバサイドスクリプト」と呼ばれています。

  • MySQL

    6008questions

    MySQL(マイエスキューエル)は、TCX DataKonsultAB社などが開発するRDBMS(リレーショナルデータベースの管理システム)です。世界で最も人気の高いシステムで、オープンソースで開発されています。MySQLデータベースサーバは、高速性と信頼性があり、Linux、UNIX、Windowsなどの複数のプラットフォームで動作することができます。

  • FuelPHP

    524questions

    FuelPHPは、軽量高速で開発が可能なPHPのWebアプリケーションフレームワークです。

  • PDO

    338questions

    PDO(PHP Data Objects)はPHPのデータベース抽象化レイヤーです。